/***************************************************************************
**
** File name : comm.h
**
**
**
**
**    Copyright (C) 1993 Microtek International, Inc.
**    All Rights Reserved
**
****************************************************************************/

#define _COMM_

#ifndef _BASE_TYPE_
#include "basetype.h"
#endif

/* from 3.1 Windows.h !! */
#define CBR_9600     0xFF16
#define CBR_14400    0xFF17
#define CBR_19200    0xFF18
#define CBR_38400    0xFF1B
#define CBR_56000    0xFF1F
#define CBR_128000   0xFF23
#define CBR_256000   0xFF27
/* end 3.1 Windows.h */

S16 sendB(U8 txData);
S16 receiveB(VOID);
S16 receiveWait(U16 waitSec);
RETCODE chk_hlt(VOID);
RETCODE SendAddrLen(U32 addr, U32 len);
RETCODE SetComm(U16 pData);
VOID SendStream(U8 *stream, U16 len);
RETCODE ReceiveStream(U8 *inStream, U16 *inStreamLen,U16 waitSec);
/**************************** End of File **********************************/
